/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'syxbjid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'syxbjname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'syxbjname',
        prop: 'syxbjname',
        dataType: 'TEXT',
      },
      {
        name: 'tkdm',
        prop: 'tkdm',
        dataType: 'TEXT',
      },
      {
        name: 'tkmc',
        prop: 'tkmc',
        dataType: 'TEXT',
      },
      {
        name: 'fl',
        prop: 'fl',
        dataType: 'DECIMAL',
      },
      {
        name: 'jzbf',
        prop: 'jzbf',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'ptfhxs',
        prop: 'ptfhxs',
        dataType: 'DECIMAL',
      },
      {
        name: 'sjbf',
        prop: 'sjbf',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'md',
        prop: 'md',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'syxbjid',
        prop: 'syxbjid',
        dataType: 'GUID',
      },
      {
        name: 'syxbj',
        prop: 'syxbjid',
        dataType: 'FONTKEY',
      },
    ]
  }

}